Instances
List audit trail entries for an instance
Returns audit trail events for a given instance, optionally filtered by event name and time range. Results are paginated (default limit: 50, max: 200).
Path Parameters
instanceSlug*string
Instance slug
Query Parameters
event_name?string
Filter by exact event name (e.g. kaiten.v1.entitlement.value.get)
after?string
RFC3339 timestamp — include entries with timestamp ≥ this value
before?string
RFC3339 timestamp — include entries with timestamp ≤ this value
limit?integer
Maximum number of entries to return (default 50, max 200)
Format
int32Range
1 <= value <= 200offset?integer
Number of entries to skip for pagination
Format
int32Range
0 <= valueResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://demo.kaiten.sh/instances/instance-slug/audit-trails"[
{
"eventName": "string",
"id": 0,
"instanceId": "string",
"instanceSlug": "string",
"payload": null,
"status": "ACCEPTED",
"timestamp": "2019-08-24T14:15:22Z"
}
]{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}
